@import "config.scss";
.grid-2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1em;

  &.gap-large {
    gap: 2em;
  }

  &.center {
    justify-items: center;
  }
  &.stretch {
    justify-content: space-between;
  }

  &.auto {
    grid-template-columns: auto auto;
  }
}
@media (max-width: $resolution-tiny) {
  .grid,
  .grid-2 {
    grid-template-columns: auto;
  }
}

.grid-1 {
  grid-template-columns: 1fr;
}

// #region Images

img.cover {
  object-fit: cover;
}

img.square {
  aspect-ratio: 1/1;
  width: 100%;
}

img.align-top {
  object-position: top;
}

// #endregion

.clickable {
  cursor: pointer;
}

.flex {
  display: flex;

  &.wrap {
    flex-wrap: wrap;
  }

  &.reverse {
    flex-direction: row-reverse;
  }

  &.vertical {
    flex-flow: column;
  }

  & > *:not(:last-child) {
    margin-right: 1em;
  }

  .spacer {
    flex-grow: 1;
  }
}
